
QGIS Application - Bug report #2249

Font size in label preview should not changes when "Font size units: Map units" is selected

2009-12-10 03:02 AM - jekhor -

Status: Closed

Priority: Low

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12309

Description

When "Font size units: Map units" option in Labels tab of layer properties dialog is selected, preview's font size should not changes, else

dialog window will be unusable when big size is selected.

History

#1 - 2009-12-10 11:01 AM - Giovanni Manghi

This was supposed to have been fixed here #1942 and here #2014 but I guess the fix didn't work out for map units.

#2 - 2010-01-20 04:47 AM - jekhor -

Yes, bug still exists.

#3 - 2010-01-20 04:49 AM - jekhor -

Window is not growed up now and main controls remains usable, but label preview is useless with map units.

#4 - 2011-09-21 09:32 AM - Andrew Chapman

Still there in 1.7.

#5 - 2011-12-16 09:54 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Category changed from Symbology to Labelling

#6 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-16 06:22 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-08-12 08:45 PM - Larry Shaffer
Should be fixed with commit:547a05a

Map units now default to sample at 24 pts. Could be better with actual preview with map scale. No longer broken-looking though.

#9 - 2012-08-13 08:33 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed
